// rcardselector.h
//
// Audio Card Selector Widget
//
//   (C) Copyright 2002-2003 Fred Gleason <fredg@salemradiolabs.com>
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as
//   published by the Free Software Foundation; either version 2 of
//   the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public
//   License along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#ifndef RCARDSELECTOR_H
#define RCARDSELECTOR_H

#include <qwidget.h>
#include <qspinbox.h>
#include <qlabel.h>


class RCardSelector : public QWidget
{
  Q_OBJECT
  public:
   RCardSelector(QWidget *parent=0,const char *name=0);
   ~RCardSelector();
   QSize sizeHint() const;
   QSizePolicy sizePolicy() const;
   QString title() const;
   void setTitle(QString title);
   int card() const;
   void setCard(int card);
   int stream() const;
   void setStream(int stream);
   int port() const;
   void setPort(int port);

  signals:
   void cardChanged(int card);
   void streamChanged(int stream);
   void portChanged(int port);

  private slots:
   void cardData(int);
   void streamData(int);
   void portData(int);

  private:
   QLabel *card_card_label;
   QSpinBox *card_card_box;
   QLabel *card_stream_label;
   QSpinBox *card_stream_box;
   QLabel *card_port_label;
   QSpinBox *card_port_box;
   QLabel *card_title;
   int yoffset;
};


#endif

