/* rconf.h
 * The header file for the rconf package
 *
 * by Fred Gleason <fredg@wava.com>
 */

#ifndef RCONF_H
#define RCONF_H

#define MAX_RETRIES 10
#include <qstring.h>
#include <qdatetime.h>
#include <qfont.h>
#include <qhostaddress.h>
#include <qsqldatabase.h>
#include <qvariant.h>
#include <stdlib.h>
#include <stdio.h>

/* Function Prototypes */
int GetPrivateProfileBool(const char *,const char *,const char *,bool);
int GetPrivateProfileString(const char *,const char *,const char *,char *,
			    const char *,int);
int GetPrivateProfileInt(const char *,const char *,const char *,int);
int GetPrivateProfileHex(const char *,const char *,const char *,int);
double GetPrivateProfileDouble(const char *,const char *,const char *,double);
int GetIni(const char *,const char *,const char *,char *,int);
int GetIniLine(FILE *,char *);
void Prepend(char *,char *);
int IncrementIndex(char *,int);
void StripLevel(char *); 
int GetLock(char *);
void ClearLock(char *);
QString RGetPathPart(QString);
QString RGetBasePart(QString);
QString RGetShortDate(QDate);
QFont::Weight RGetFontWeight(QString);
bool RDetach();
bool RBool(QString);
QString RYesNo(bool);
QHostAddress RGetHostAddr();
QString RGetDisplay(bool strip_point=false);
bool RDoesRowExist(QString table,QString name,QString test,
		   QSqlDatabase *db=0);
bool RDoesRowExist(QString table,QString name,unsigned test,
		   QSqlDatabase *db=0);
QVariant RGetSqlValue(QString table,QString name,QString test,
		      QString param,QSqlDatabase *db=0);
QVariant RGetSqlValue(QString table,QString name,unsigned test,
		      QString param,QSqlDatabase *db=0);
bool RIsSqlNull(QString table,QString name,QString test,
		QString param,QSqlDatabase *db=0);
bool RIsSqlNull(QString table,QString name,unsigned test,
		QString param,QSqlDatabase *db=0);
QString RGetTimeLength(int mseconds,bool leadzero=false,bool tenths=true);
int RSetTimeLength(QString string);
bool RCopy(QString srcfile,QString destfile);
bool RWritePid(QString dirname,QString filename);


#endif   // RCONF_H
